# Shared Variant Options Shared Variant Options ## Gets all of the shared variant options in the system. - [GET /sharedVariantOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/listsharedvariantoptions.md): This method will scan all shared variant options and and return them to the caller. ## Creates a new shared variant option record that does not already exist. - [POST /sharedVariantOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/createsharedvariantoption.md): This method will auto-generate an ID and create a new shared variant option. If an ID is specified for the shared variant option, an error will be thrown. ## Execute Batch Operations - [POST /sharedVariantOptions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a shared variant option from the system by its ID. - [DELETE /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/deletesharedvariantoption.md): This method will delete a shared variant option with the specified ID. ## Returns a shared variant option from the system by its ID. - [GET /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/getsharedvariantoption.md): This method will look up a shared variant option by the specified ID and return it back. ## Partially updates a shared variant option with the specified ID. - [PATCH /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/patchsharedvariantoption.md): This method will patch an existing shared variant option with the specified ID, using the HTTP PATCH specification. ## Updates a shared variant option with the specified ID. - [PUT /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/updatesharedvariantoption.md): This method will update an existing shared variant option with the specified ID.